Bug 921221 - Activation of package_state in 1.1.29 breaks setups with http proxy servers
Summary: Activation of package_state in 1.1.29 breaks setups with http proxy servers
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: mock
Version: 20
Hardware: x86_64
OS: Linux
unspecified
medium
Target Milestone: ---
Assignee: Clark Williams
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords: Reopened
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-03-13 18:08 UTC by franz.sirl-kernel
Modified: 2014-04-19 09:21 UTC (History)
3 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2014-02-08 05:04:00 UTC


Attachments (Terms of Use)
use root environment when running repoquery in package_state plugin (1.07 KB, patch)
2013-10-24 22:07 UTC, Clark Williams
no flags Details | Diff
Working version of the suggested patch. (1.17 KB, patch)
2013-10-30 11:39 UTC, franz.sirl-kernel
no flags Details | Diff
Patch against 1.1.35 (1.25 KB, patch)
2013-11-11 10:33 UTC, franz.sirl-kernel
no flags Details | Diff

Description franz.sirl-kernel 2013-03-13 18:08:11 UTC
Description of problem:
Updating succeeds, but the script returns with a error code.

Version-Release number of selected component (if applicable):
1.1.29

How reproducible:
Always

Steps to Reproduce:
1. configure your network so that all http accesses have to use a web proxy
2. add (example)

     config_opts['http_proxy'] = 'http://proxy:8080/'

   to /etc/mock/site-defaults.cfg
3. run 'mock --update
  
Actual results:
The update part works (here http_proxy gets exported to the yum environment), but the following "/usr/bin/repoquery ..." times out and fails. From the log you can see that http_proxy doesn't get exported to the repoquery environment.

It seems a fragment like the following (from  backend.py) is missing in package_state.py:

        # proxy settings
        for proto in ('http', 'https', 'ftp', 'no'):
            key = '%s_proxy' % proto
            value = config.get(key)
            if value:
                os.environ[key] = value
                self.env[key] = value



Expected results:
mock --update should return with error code even in environments with web-proxies.


Additional info:
Workaround:
Disable the plugin in site-defaults.cfg:
 config_opts['plugin_conf']['package_state_enable'] = False

Comment 1 Clark Williams 2013-10-24 22:07:42 UTC
Created attachment 815939 [details]
use root environment when running repoquery in package_state plugin

Does this patch fix your proxy configuration issue?

Comment 2 franz.sirl-kernel 2013-10-30 11:39:03 UTC
Created attachment 817418 [details]
Working version of the suggested patch.

The first patch contained a typo (environ vs. env) and didn't cover the query for available packages. This one (against current git version) works for me.

Comment 3 Fedora Update System 2013-10-30 14:58:46 UTC
mock-1.1.34-1.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/mock-1.1.34-1.fc18

Comment 4 Fedora Update System 2013-10-30 15:00:41 UTC
mock-1.1.34-1.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/mock-1.1.34-1.el6

Comment 5 Fedora Update System 2013-10-30 15:03:03 UTC
mock-1.1.34-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/mock-1.1.34-1.fc20

Comment 6 Fedora Update System 2013-10-30 15:04:59 UTC
mock-1.1.34-1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/mock-1.1.34-1.fc19

Comment 7 Fedora Update System 2013-10-30 17:12:48 UTC
Package mock-1.1.34-1.fc20:
* should fix your issue,
* was pushed to the Fedora 20 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing mock-1.1.34-1.fc20'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-20329/mock-1.1.34-1.fc20
then log in and leave karma (feedback).

Comment 8 franz.sirl-kernel 2013-10-31 09:36:35 UTC
The original patch (attachment #815939 [details]) which does NOT fix the bug was applied. I verified that with both the F20 SRPM from updates-testing rebuilt on F19 and by doing "make rpm" in GIT checkout. Both resulting RPMs fail here.

Please revert the wrong patch and apply the patch from attachment #817418 [details] (or a similar one).

Comment 9 Fedora Update System 2013-11-05 05:33:12 UTC
mock-1.1.35-1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/mock-1.1.35-1.fc19

Comment 10 Fedora Update System 2013-11-05 05:34:41 UTC
mock-1.1.35-1.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/mock-1.1.35-1.fc18

Comment 11 Fedora Update System 2013-11-05 05:36:01 UTC
mock-1.1.35-1.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/mock-1.1.35-1.el6

Comment 12 Fedora Update System 2013-11-05 05:37:15 UTC
mock-1.1.35-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/mock-1.1.35-1.fc20

Comment 13 Fedora Update System 2013-11-10 06:37:38 UTC
mock-1.1.35-1.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 14 franz.sirl-kernel 2013-11-11 10:33:42 UTC
Created attachment 822355 [details]
Patch against 1.1.35

Proper fix still not applied, see comment #2 and comment #8. I'm attaching a patch against 1.1.35.

Comment 15 Fedora End Of Life 2013-12-21 15:45:23 UTC
This message is a reminder that Fedora 18 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 18. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '18'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 18's end of life.

Thank you for reporting this issue and we are sorry that we may not be 
able to fix it before Fedora 18 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior to Fedora 18's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 16 Fedora Update System 2014-02-06 02:10:05 UTC
mock-1.1.36-1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/mock-1.1.36-1.fc19

Comment 17 Fedora Update System 2014-02-06 02:11:39 UTC
mock-1.1.36-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/mock-1.1.36-1.fc20

Comment 18 Fedora Update System 2014-02-06 02:13:07 UTC
mock-1.1.36-1.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/mock-1.1.36-1.el6

Comment 19 Fedora Update System 2014-02-06 21:08:51 UTC
Package mock-1.1.36-1.el6:
* should fix your issue,
* was pushed to the Fedora EPEL 6 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=epel-testing mock-1.1.36-1.el6'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-EPEL-2014-0467/mock-1.1.36-1.el6
then log in and leave karma (feedback).

Comment 20 Fedora Update System 2014-02-08 05:04:00 UTC
mock-1.1.36-1.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 21 Fedora Update System 2014-03-25 20:26:13 UTC
mock-1.1.37-1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/mock-1.1.37-1.fc19

Comment 22 Fedora Update System 2014-03-25 20:28:28 UTC
mock-1.1.37-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/mock-1.1.37-1.fc20

Comment 23 Fedora Update System 2014-03-25 20:30:20 UTC
mock-1.1.37-1.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/mock-1.1.37-1.el6

Comment 24 Fedora Update System 2014-03-27 17:48:52 UTC
mock-1.1.37-2.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/mock-1.1.37-2.fc20

Comment 25 Fedora Update System 2014-03-27 17:50:46 UTC
mock-1.1.37-2.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/mock-1.1.37-2.fc19

Comment 26 Fedora Update System 2014-03-27 17:52:41 UTC
mock-1.1.37-2.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/mock-1.1.37-2.el6

Comment 27 Fedora Update System 2014-03-31 19:05:44 UTC
mock-1.1.38-1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/mock-1.1.38-1.fc19

Comment 28 Fedora Update System 2014-03-31 19:07:50 UTC
mock-1.1.38-1.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/mock-1.1.38-1.el6

Comment 29 Fedora Update System 2014-03-31 19:09:48 UTC
mock-1.1.38-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/mock-1.1.38-1.fc20

Comment 30 Fedora Update System 2014-04-09 13:20:12 UTC
mock-1.1.38-1.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 31 Fedora Update System 2014-04-18 15:38:53 UTC
mock-1.1.38-1.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 32 Fedora Update System 2014-04-19 09:21:07 UTC
mock-1.1.38-1.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.